Subject: bug#9300: 24.0.50; `bounds-of-thing-at-point' does not return nil when just after THING

From: Tino Calancha <[email-masked]>
Date: Mon, 20 Jun 2016 22:11:37 +0900 (JST)

> It's a matter of definition. If we say there is, then there is. We could also 
> add a variable, of course.
Sure, definitions are free.  Maybe the doc string is not clear enough: at 
point or right before than at point would be more precise.

>> * I) and II) agree
> Do they?
No they don't, sorry for that.
It should read:
V) and VI) agree but I) and II) disagree.  It seems it depends from the 
point of view and how you ask.  It shouldn't: or always there is a list or 
never.

>> but III) and IV disagree.
>>   I would expect III) and IV) returning the same value.
>
> Agree. But will you be satisfied if they both return "(foo bar)"?
I am sure you know my answer :-)

Regards,
Tino